Bug 29489 - Install kernel hangs on Cyrix MII processor
Install kernel hangs on Cyrix MII processor
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-25 19:21 EST by Nicko van Someren
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-25 19:21:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicko van Someren 2001-02-25 19:21:41 EST
The ssystem is an old eMachines desktop PC with a Cyrix MII/266 processor.

Using the 7.0.91 Beta ISO images the machine loads kernel just fine but
just after the memory information line I get the message:

Checking if this processor honours the WP bit even in supervisor mode...

and the system then hangs.  This seems to come from the kernel source file
arch/i386/mm/init.c but I do not profess to know any more than that; it's
not a bit of the kernel I've ever looked at.  Suffice it to say it looks
like RedHat 7.1 will not boot on old Cyrix machines as it stands.
Comment 1 Arjan van de Ven 2001-02-26 04:58:51 EST
This problem manifested itself also for some 486's. It was caused by a 
fix for an SMP race in vmalloc which broke the "WP" test for several older CPU 
types. A fix for this breakage will be in the next kernel we build.

Note You need to log in before you can comment on or make changes to this bug.